Module
Contents
Index 🔎︎

# Print Statement

De angivna strängarna eller numeriska uttrycken visas i en dialogruta eller sparas i en fil.

## Syntax:

    Print [#Filnamn,] Uttryck1[{;|,} [Spc(Nummer As Integer);] [Tab(pos As Integer);] [Uttryck2[...]]

## Parameter:

Filnamn: Alla numeriska uttryck som innehåller det filnummer som angavs med Open-satsen för respektive fil.

Uttryck: Ett numeriskt uttryck eller stränguttryck som ska skrivas ut. Om det gäller flera uttryck separeras de med semikolon. Om de separeras med kommatecken dras de in till nästa tabulator. Det går inte att justera tabulatorerna.

Antal: Antalet blanksteg som ska infogas av funktionen Spc.

Pos: Blanksteg infogas fram till den position som angetts.

Om ett semikolon eller kommatecken förekommer efter det sista uttrycket som ska skrivas ut lagrar LibreOffice Basic texten i en intern buffert och fortsätter programkörningen utan att skriva ut. När en annan Print-sats utan ett semikolon eller kommatecken i slutet påträffas skrivs all text som ska skrivas ut samtidigt.

Positiva numeriska uttryck skrivs ut med ett inledande blanksteg. Negativa uttryck skrivs ut med ett inledande minustecken. Om flyttalsvärdena överstiger ett visst intervall skrivs respektive numeriskt uttryck ut i en exponentialnotation.

Om uttrycket som ska skrivas ut överstiger en viss längd radbryts visningen automatiskt.

Du kan infoga Tab-funktionen (inom semikolon) mellan argument om du vill dra in utdata till en viss position. Eller använda funktionen Spc och infoga ett visst antal blanksteg.

## Exempel:

    Sub ExamplePrint

        Print "ABC"

        Print "ABC","123"

        i = FreeFile()

        Open "C:\Temp.txt" For Output As i

        Print #i, "ABC"

        Close #i

    End Sub

    Sub ExamplePrint

        Print "ABC"

        Print "ABC","123"

        i = FreeFile()

        Open "~/temp.txt" For Output As i

        Print #i, "ABC"

        Close #i

    End Sub